"use strict";
exports.__esModule = true;
var jsx_expand_empty_tag_1 = require("../jsx-expand-empty-tag");
var range = require("../../range");
var test_utils_1 = require("./test-utils");
var buildEditResponse = test_utils_1.createBuildFunction(jsx_expand_empty_tag_1["default"]);
describe('javascript', function () {
    it('simple', function () {
        var source = '<input/>';
        var r = buildEditResponse(source, range.create(1, 6, 1, 6));
        expect(r).toEqual({
            newText: '<input></input>',
            range: { end: { column: 8, line: 1 }, start: { column: 0, line: 1 } },
            title: 'Expand input'
        });
    });
});
