"use strict";
exports.__esModule = true;
var experimental_jest_revert_skip_test_1 = require("../experimental-jest-revert-skip-test");
var range = require("../../range");
var test_utils_1 = require("./test-utils");
var buildEditResponse = test_utils_1.createBuildFunction(experimental_jest_revert_skip_test_1["default"]);
describe('javascript', function () {
    it('simple', function () {
        var source = 'it.skip("s", () => { hello(); })';
        var r = buildEditResponse(source, range.create(1, 17, 1, 17));
        expect(r).toEqual({
            newText: 'it',
            range: { end: { column: 7, line: 1 }, start: { column: 0, line: 1 } },
            title: 'Enable test'
        });
    });
});
